Show / Hide Table of Contents

Interface IPipeProps

(experimental) Properties for a pipe.

Namespace: Amazon.CDK.AWS.Pipes.Alpha
Assembly: Amazon.CDK.AWS.Pipes.Alpha.dll
Syntax (csharp)
public interface IPipeProps
Syntax (vb)
Public Interface IPipeProps
Remarks

Stability: Experimental

ExampleMetadata: infused

Examples
Queue sourceQueue;
             ApiDestination dest;


             var apiTarget = new ApiDestinationTarget(dest, new ApiDestinationTargetParameters {
                 InputTransformation = InputTransformation.FromObject(new Dictionary<string, object> { { "body", "👀" } })
             });

             var pipe = new Pipe(this, "Pipe", new PipeProps {
                 Source = new SqsSource(sourceQueue),
                 Target = apiTarget
             });

Synopsis

Properties

Description

(experimental) A description of the pipe displayed in the AWS console.

DesiredState

(experimental) The desired state of the pipe.

Enrichment

(experimental) Enrichment step to enhance the data from the source before sending it to the target.

Filter

(experimental) The filter pattern for the pipe source.

KmsKey

(experimental) The AWS KMS customer managed key to encrypt pipe data.

LogDestinations

(experimental) Destinations for the logs.

LogIncludeExecutionData

(experimental) Whether the execution data (specifically, the payload , awsRequest , and awsResponse fields) is included in the log messages for this pipe.

LogLevel

(experimental) The level of logging detail to include.

PipeName

(experimental) Name of the pipe in the AWS console.

Role

(experimental) The role used by the pipe which has permissions to read from the source and write to the target.

Source

(experimental) The source of the pipe.

Tags

(experimental) The list of key-value pairs to associate with the pipe.

Target

(experimental) The target of the pipe.

Properties

Description

(experimental) A description of the pipe displayed in the AWS console.

string? Description { get; }
Property Value

string

Remarks

Default: - no description

Stability: Experimental

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-pipes-pipe.html#cfn-pipes-pipe-description

DesiredState

(experimental) The desired state of the pipe.

DesiredState? DesiredState { get; }
Property Value

DesiredState?

Remarks

If the state is set to STOPPED, the pipe will not process events.

Default: - DesiredState.RUNNING

Stability: Experimental

See: https://docs.aws.amazon.com/eventbridge/latest/pipes-reference/API_Pipe.html#eventbridge-Type-Pipe-DesiredState

Enrichment

(experimental) Enrichment step to enhance the data from the source before sending it to the target.

IEnrichment? Enrichment { get; }
Property Value

IEnrichment

Remarks

Default: - no enrichment

Stability: Experimental

See: https://docs.aws.amazon.com/eventbridge/latest/userguide/pipes-enrichment.html

Filter

(experimental) The filter pattern for the pipe source.

IFilter? Filter { get; }
Property Value

IFilter

Remarks

Default: - no filter

Stability: Experimental

See: https://docs.aws.amazon.com/eventbridge/latest/userguide/eb-pipes-event-filtering.html

KmsKey

(experimental) The AWS KMS customer managed key to encrypt pipe data.

IKey? KmsKey { get; }
Property Value

IKey

Remarks

Default: undefined - AWS managed key is used

Stability: Experimental

LogDestinations

(experimental) Destinations for the logs.

ILogDestination[]? LogDestinations { get; }
Property Value

ILogDestination[]

Remarks

Default: - no logs

Stability: Experimental

See: https://docs.aws.amazon.com/eventbridge/latest/userguide/eb-pipes-logs.html

LogIncludeExecutionData

(experimental) Whether the execution data (specifically, the payload , awsRequest , and awsResponse fields) is included in the log messages for this pipe.

IncludeExecutionData[]? LogIncludeExecutionData { get; }
Property Value

IncludeExecutionData[]

Remarks

This applies to all log destinations for the pipe.

For more information, see Including execution data in logs and the message schema in the Amazon EventBridge User Guide .

Default: - none

Stability: Experimental

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-pipes-pipe-pipelogconfiguration.html#cfn-pipes-pipe-pipelogconfiguration-includeexecutiondata

LogLevel

(experimental) The level of logging detail to include.

LogLevel? LogLevel { get; }
Property Value

LogLevel?

Remarks

This applies to all log destinations for the pipe.

Default: - LogLevel.ERROR

Stability: Experimental

See: https://docs.aws.amazon.com/eventbridge/latest/userguide/eb-pipes-logs.html

PipeName

(experimental) Name of the pipe in the AWS console.

string? PipeName { get; }
Property Value

string

Remarks

Default: - automatically generated name

Stability: Experimental

Link: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-pipes-pipe.html#cfn-pipes-pipe-name

Role

(experimental) The role used by the pipe which has permissions to read from the source and write to the target.

IRole? Role { get; }
Property Value

IRole

Remarks

If an enriched target is used, the role also have permissions to call the enriched target. If no role is provided, a role will be created.

Default: - a new role will be created.

Stability: Experimental

See: https://docs.aws.amazon.com/eventbridge/latest/userguide/eb-pipes-permissions.html

Source

(experimental) The source of the pipe.

ISource Source { get; }
Property Value

ISource

Remarks

Stability: Experimental

See: https://docs.aws.amazon.com/eventbridge/latest/userguide/eb-pipes-event-source.html

Tags

(experimental) The list of key-value pairs to associate with the pipe.

IDictionary<string, string>? Tags { get; }
Property Value

IDictionary<string, string>

Remarks

Default: - no tags

Stability: Experimental

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-pipes-pipe.html#cfn-pipes-pipe-tags

Target

(experimental) The target of the pipe.

ITarget Target { get; }
Property Value

ITarget

Remarks

Stability: Experimental

See: https://docs.aws.amazon.com/eventbridge/latest/userguide/eb-pipes-event-target.html

Back to top Generated by DocFX